#!/bin/bash
EQUINOX_ROOT=/opt/ibm/esa/runtime
CONF_DIR=$EQUINOX_ROOT/conf
JAVA_EXECUTABLE=java
if [ -r "$CONF_DIR/javaHome.sh" ] ; then
     . "$CONF_DIR/javaHome.sh"
     export JAVA_HOME
fi


if  [ ! -d "$JAVA_HOME" ] ; then
	echo "Incorrect JAVA_HOME ($JAVA_HOME)" >&2
    exit 1
fi

JAVA_PROGRAM="$JAVA_HOME/bin/$JAVA_EXECUTABLE"

 if [ ! -x "$JAVA_PROGRAM" ] ; then
        echo "Cannot run $JAVA_PROGRAM" >&2
        exit 1
    fi

cd $EQUINOX_ROOT
exec "$JAVA_PROGRAM" \
	  -cp "./ESALauncher.jar:./plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar"  \
       com.ibm.esa.launch.LaunchESA > /opt/ibm/esa/log/osgi.start.log
